<?php
/**
 * 银行卡支付
 * @Copyright (C) 2016 汉潮 All rights reserved.
 * @License http://www.hanchao9999.com
 * @Author xiaogg <xiaogg@sina.cn>
 */
 
namespace Common\Vendor\Pay\Driver;
class Hanchaobank extends \Common\Vendor\Pay\Pay {
    protected $config = array('content' => '');
    public function check() {
        if (!$this->config['content']) {
            E("银行支付设置有误！");
        }return true;
    }
    public function buildRequestForm(\Common\Vendor\Pay\PayVo $vo) {
        $sHtml='';//'<p>请将需要支付的金额,按照以下方式转入到网站账户当中.</p><p>如已经转好,请联系客服并报出以下订单号供客服处理!</p>';
        $sHtml.=$this->config['content'];
        return $sHtml;
    }
    public function get_pay_code($info='')
	{
		if(empty($info))$info=$this->config;
        if($info)
		{
			$html = "<div style='float:left;'><input type='radio' name='paytype' value='".$info['code']."' />&nbsp;".$info['name']."：</div>";
			if($info['logo']!='')$html .= "<div style='float:left; padding-left:10px;'><img src='".$info['logo']."' /></div>";
			$html .= "<div style='float:left; padding-left:10px;'>".h($info['content'])."</div>";
			return $html;
		}else{return '';}
	}
    /**
     * 针对notify_url验证消息是否是合法消息
     * @return 验证结果
     */
    public function verifyNotify($notify) {
        return true;
    }
}
?>